/*
#=============================================================================
#																			   
#			Copyright (c) 2009 Origin Enterprise Solution LTD.		   
#																			   
#=============================================================================
# File name: PackResultInfo.java
# File description: 										   	
#=============================================================================
#	Date		Name		Action	Description of Change					   
#	2011-4-20	liqz		  	Ini		初始化(From Shaangu)										   
#=============================================================================
 */
package cn.com.customization.util;

import java.util.List;

public class PackResultInfo {

	// 时间：2010-06-15:8890 下载人：XXXXXX, 所选流程（目录）：XXXXXXXXXX

	private String					time				= "";
	private String					person				= "";
	private String					job					= "";
	private int						needNum				= 0;
	private int						successNum			= 0;
	private int						failNum				= 0;
	private int						noReferenceNum		= 0;
	private int						noPrivilegelNum		= 0;
	private int						equalNameNum		= 0;
	private int						noReleasedNum		= 0;
	private int						existDataSetCount	= 0;
	private List<PackFailDownInfo>	failDownInfo		= null;

	/**
	 * @return the time
	 */
	public String getTime() {
		return time;
	}

	/**
	 * @param time the time to set
	 */
	public void setTime(String time) {
		this.time = time;
	}

	/**
	 * @return the person
	 */
	public String getPerson() {
		return person;
	}

	/**
	 * @param person the person to set
	 */
	public void setPerson(String person) {
		this.person = person;
	}

	/**
	 * @return the job
	 */
	public String getJob() {
		return job;
	}

	/**
	 * @param job the job to set
	 */
	public void setJob(String job) {
		this.job = job;
	}

	/**
	 * @return the needNum
	 */
	public int getNeedNum() {
		return needNum;
	}

	/**
	 * @param needNum the needNum to set
	 */
	public void setNeedNum(int needNum) {
		this.needNum = needNum;
	}

	/**
	 * @return the successNum
	 */
	public int getSuccessNum() {
		return successNum;
	}

	/**
	 * @param successNum the successNum to set
	 */
	public void setSuccessNum(int successNum) {
		this.successNum = successNum;
	}

	/**
	 * @return the failNum
	 */
	public int getFailNum() {
		return failNum;
	}

	/**
	 * @param failNum the failNum to set
	 */
	public void setFailNum(int failNum) {
		this.failNum = failNum;
	}

	/**
	 * @return the noReferenceNum
	 */
	public int getNoReferenceNum() {
		return noReferenceNum;
	}

	/**
	 * @param noReferenceNum the noReferenceNum to set
	 */
	public void setNoReferenceNum(int noReferenceNum) {
		this.noReferenceNum = noReferenceNum;
	}

	/**
	 * @return the noPrivilegelNum
	 */
	public int getNoPrivilegelNum() {
		return noPrivilegelNum;
	}

	/**
	 * @param noPrivilegelNum the noPrivilegelNum to set
	 */
	public void setNoPrivilegelNum(int noPrivilegelNum) {
		this.noPrivilegelNum = noPrivilegelNum;
	}

	/**
	 * @return the equalNameNum
	 */
	public int getEqualNameNum() {
		return equalNameNum;
	}

	/**
	 * @param equalNameNum the equalNameNum to set
	 */
	public void setEqualNameNum(int equalNameNum) {
		this.equalNameNum = equalNameNum;
	}

	/**
	 * @return the noReleasedNum
	 */
	public int getNoReleasedNum() {
		return noReleasedNum;
	}

	/**
	 * @param noReleasedNum the noReleasedNum to set
	 */
	public void setNoReleasedNum(int noReleasedNum) {
		this.noReleasedNum = noReleasedNum;
	}

	/**
	 * @return the failDownInfo
	 */
	public List<PackFailDownInfo> getFailDownInfo() {
		return failDownInfo;
	}

	/**
	 * @param failDownInfo the failDownInfo to set
	 */
	public void setFailDownInfo(List<PackFailDownInfo> failDownInfo) {
		this.failDownInfo = failDownInfo;
	}

	/**
	 * @return the existDataSetCount
	 */
	public int getExistDataSetCount() {
		return existDataSetCount;
	}

	/**
	 * @param existDataSetCount the existDataSetCount to set
	 */
	public void setExistDataSetCount(int existDataSetCount) {
		this.existDataSetCount = existDataSetCount;
	}

}
